/**
 * Apeman task contribution plugin to generate jsdoc.
 * @module apeman-task-contrib-jsdoc
 * @see https://github.com/apeman-repo/apeman
 * @see https://github.com/jadejs/jade
 */

"use strict";

/**
 * Generate jsdoc..
 * @function apemanTaskContribJsdoc
 * @param {string} patterns - Source file name patterns..
 * @param {object} options - Optional setting.
 * @param {boolean} [options.verbose=false]- Shows verbose log..
 * @param {string} [options.tutorials]- File path of tutorial markdowns.
 * @param {string} [options.destination]- Destination file path.
 * @param {string} [options.template]- File path of template..
 * @param {string} [options.configure]- Config json file path.
 * @returns {function} [task] - Task function.
 */
module.exports = require('./create');
